Bug 203642 - some .so should be in -devel, or not shipped?
some .so should be in -devel, or not shipped?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
bzcl34nup
: Reopened
Depends On:
Blocks: 226541
  Show dependency treegraph
 
Reported: 2006-08-22 16:10 EDT by Patrice Dumas
Modified: 2009-12-18 09:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 04:22:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-22 16:10:18 EDT
Description of problem:

libwireshark.so and libwiretap.so should better be in a -devel
subpackage, however there doesn't seems to be one for wireshark,
there are no headers, so maybe those .so shouldn't be shipped at all?
It doesn't make sense to have a -devel package only for those .so,
so if they are needed, maybe wireshark should provide wireshark-devel. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Radek Vokal 2006-08-23 02:47:08 EDT
This is internal wireshark library, the ABI is changing every release and we
don't support devel package for wireshark. 
Comment 2 Patrice Dumas 2006-08-23 04:51:50 EDT
Seems like they are dlopened, since wireshark don't seems to 
be linked against them. In that case it should be better to 
put them in a %_libdir subdirectory, and don't have versioning?

If so, this is something that should certainly be done upstream, 
but maybe it could also be done at te fedora level if needed.
Comment 3 Patrice Dumas 2007-02-01 11:37:04 EST
Seems that things changed somewhere, now the library are
linked in the usual way. Maybe the .so could be removed, now?
Comment 4 Matthew Miller 2007-04-10 13:34:15 EDT
moving to fedora devel instead of test3.
Comment 5 Bug Zapper 2008-04-03 14:00:58 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Patrice Dumas 2008-04-03 16:35:00 EDT
The binaries seems not to be linked anymore, according to my tests,
they are dlopened, but uses the numbered symlink, so I think that
the .so should still be removed.
Comment 7 Bug Zapper 2008-05-13 22:17:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-11-25 20:49:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-18 03:07:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Patrice Dumas 2009-11-18 06:27:36 EST
resetting to rawhide.
Comment 11 Radek Vokal 2009-12-17 04:22:10 EST
The -devel subpackage just landed in Fedora, see wireshark-1.2.4-3.fc13
Comment 12 Fedora Update System 2009-12-18 09:23:00 EST
wireshark-1.2.5-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wireshark-1.2.5-2.fc12

Note You need to log in before you can comment on or make changes to this bug.